Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class Charges7

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.Charges7

    public class Charges7
    extends java.lang.Object

Java class for Charges7 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Charges7">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentification6` `agt`
`protected ActiveOrHistoricCurrencyAndAmount` `amt`

### Constructor Summary

Constructors
`Charges7()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentification6` `getAgt()` Gets the value of the agt property.
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`void` `setAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the agt property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### agt

    protected BranchAndFinancialInstitutionIdentification6 agt

### Constructor Detail

#### Charges7

    public Charges7()

### Method Detail

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getAgt

    public BranchAndFinancialInstitutionIdentification6 getAgt()

Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setAgt

    public void setAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`